/*
  The contents of this file are subject to the Initial Developer's Public
  License Version 1.0 (the "License"); you may not use this file except in
  compliance with the License. You may obtain a copy of the License here:
  http://www.flamerobin.org/license.html.

  Software distributed under the License is distributed on an "AS IS"
  basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
  License for the specific language governing rights and limitations under
  the License.

  The Original Code is FlameRobin (TM).

  The Initial Developer of the Original Code is Michael Hieke.

  Portions created by the original developer
  are Copyright (C) 2004 Michael Hieke.

  All Rights Reserved.

  $Id: frDataGridCells.cpp,v 1.3 2005/03/06 00:14:16 mbabuskov Exp $

  Contributor(s):
*/

// For compilers that support precompilation, includes "wx/wx.h".
#include "wx/wxprec.h"

#ifdef __BORLANDC__
    #pragma hdrstop
#endif

// for all others, include the necessary headers (this file is usually all you
// need because it includes almost all "standard" wxWindows headers
#ifndef WX_PRECOMP
    #include "wx/wx.h"
#endif

#include "frDataGridCells.h"

//-----------------------------------------------------------------------------
// GridBaseCell class
GridBaseCell::~GridBaseCell()
{
}
//-----------------------------------------------------------------------------
// DataGridCell class
DataGridCell::DataGridCell(const wxString& value)
    : valueM(value)
{
}
//-----------------------------------------------------------------------------
wxString DataGridCell::getValue()
{
    return valueM;
}
//-----------------------------------------------------------------------------
// DataNAGridCell class
wxString DataNAGridCell::getValue()
{
    return wxString(wxT("[...]"));
}
//----------------------------------------------------------------------
